Bug 1169746 - GCC 10: mozilla-nss build fails on i586
GCC 10: mozilla-nss build fails on i586
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Martin Liška
E-mail List
:
Depends on:
Blocks: 1157217
  Show dependency treegraph
 
Reported: 2020-04-17 09:22 UTC by Martin Liška
Modified: 2020-07-06 19:17 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Liška 2020-04-17 09:22:27 UTC
Fails here:
https://build.opensuse.org/package/live_build_log/openSUSE:Factory:Staging:N/mozilla-nss/standard/i586

with:
[  846s] alg1485.c:1049:21: error: writing 1 byte into a region of size 0 [-Werror=stringop-overflow=]
[  846s] alg1485.c:928:10: note: at offset -1 to object 'tmpBuf' with size 2048 declared here
[  846s] alg1485.c:1050:21: error: writing 1 byte into a region of size 0 [-Werror=stringop-overflow=]
[  846s] alg1485.c:928:10: note: at offset -2 to object 'tmpBuf' with size 2048 declared here
[  846s] alg1485.c:1051:21: error: writing 1 byte into a region of size 0 [-Werror=stringop-overflow=]
[  846s] alg1485.c:928:10: note: at offset -3 to object 'tmpBuf' with size 2048 declared here
Comment 1 Martin Liška 2020-04-29 13:55:58 UTC
I've just made SR#798944.
Comment 2 Martin Liška 2020-04-30 07:22:07 UTC
Fixed in devel project.
Comment 5 Swamp Workflow Management 2020-06-18 22:17:22 UTC
SUSE-SU-2020:1677-1: An update that solves two vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1159819,1169746,1171978
CVE References: CVE-2019-17006,CVE-2020-12399
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    mozilla-nspr-4.25-3.12.1, mozilla-nss-3.53-3.40.1
SUSE Linux Enterprise Server 15-LTSS (src):    mozilla-nspr-4.25-3.12.1, mozilla-nss-3.53-3.40.1
SUSE Linux Enterprise Module for Server Applications 15-SP2 (src):    mozilla-nss-3.53-3.40.1
SUSE Linux Enterprise Module for Server Applications 15-SP1 (src):    mozilla-nss-3.53-3.40.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    mozilla-nspr-4.25-3.12.1, mozilla-nss-3.53-3.40.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    mozilla-nspr-4.25-3.12.1, mozilla-nss-3.53-3.40.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    mozilla-nspr-4.25-3.12.1, mozilla-nss-3.53-3.40.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    mozilla-nspr-4.25-3.12.1, mozilla-nss-3.53-3.40.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2020-06-24 10:13:30 UTC
openSUSE-SU-2020:0854-1: An update that solves two vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1159819,1169746,1171978
CVE References: CVE-2019-17006,CVE-2020-12399
Sources used:
openSUSE Leap 15.1 (src):    mozilla-nspr-4.25-lp151.2.9.1, mozilla-nss-3.53-lp151.2.23.1
Comment 9 Swamp Workflow Management 2020-07-03 16:13:18 UTC
SUSE-SU-2020:1839-1: An update that solves three vulnerabilities and has three fixes is now available.

Category: security (important)
Bug References: 1159819,1168669,1169746,1170908,1171978,1173022
CVE References: CVE-2019-17006,CVE-2020-12399,CVE-2020-12402
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    mozilla-nspr-4.25-19.15.1, mozilla-nss-3.53.1-58.48.1
SUSE OpenStack Cloud Crowbar 8 (src):    mozilla-nspr-4.25-19.15.1, mozilla-nss-3.53.1-58.48.1
SUSE OpenStack Cloud 9 (src):    mozilla-nspr-4.25-19.15.1, mozilla-nss-3.53.1-58.48.1
SUSE OpenStack Cloud 8 (src):    mozilla-nspr-4.25-19.15.1, mozilla-nss-3.53.1-58.48.1
SUSE OpenStack Cloud 7 (src):    mozilla-nspr-4.25-19.15.1, mozilla-nss-3.53.1-58.48.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    mozilla-nspr-4.25-19.15.1, mozilla-nss-3.53.1-58.48.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    mozilla-nspr-4.25-19.15.1, mozilla-nss-3.53.1-58.48.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    mozilla-nspr-4.25-19.15.1, mozilla-nss-3.53.1-58.48.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    mozilla-nspr-4.25-19.15.1, mozilla-nss-3.53.1-58.48.1
SUSE Linux Enterprise Server 12-SP5 (src):    mozilla-nspr-4.25-19.15.1, mozilla-nss-3.53.1-58.48.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    mozilla-nspr-4.25-19.15.1, mozilla-nss-3.53.1-58.48.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    mozilla-nspr-4.25-19.15.1, mozilla-nss-3.53.1-58.48.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    mozilla-nspr-4.25-19.15.1, mozilla-nss-3.53.1-58.48.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    mozilla-nspr-4.25-19.15.1, mozilla-nss-3.53.1-58.48.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    mozilla-nspr-4.25-19.15.1, mozilla-nss-3.53.1-58.48.1
SUSE Enterprise Storage 5 (src):    mozilla-nspr-4.25-19.15.1, mozilla-nss-3.53.1-58.48.1
HPE Helion Openstack 8 (src):    mozilla-nspr-4.25-19.15.1, mozilla-nss-3.53.1-58.48.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Swamp Workflow Management 2020-07-06 19:17:17 UTC
SUSE-SU-2020:14418-1: An update that solves 5 vulnerabilities and has three fixes is now available.

Category: security (important)
Bug References: 1141322,1158527,1159819,1168669,1169746,1170908,1171978,1173032
CVE References: CVE-2019-11727,CVE-2019-11745,CVE-2019-17006,CVE-2020-12399,CVE-2020-12402
Sources used:
SUSE Linux Enterprise Server 11-SP4-LTSS (src):    mozilla-nspr-4.25-29.12.2, mozilla-nss-3.53.1-38.23.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.